---
title: HTMLHyperlinkElementUtils.password
slug: Web/API/HTMLHyperlinkElementUtils/password
tags:
  - API
  - Experimental
  - HTMLHyperlinkElementUtils
  - Property
  - Read-only
  - URL API
---
<p>{{ApiRef("URL API")}}</p>

<p>The HTMLHyperlinkElementUtils<strong><code>.password</code></strong> property is a {{domxref("USVString")}} containing the password specified before the domain name.</p>

<p>If it is set without first setting the <code><a href="/en-US/docs/Web/API/HTMLHyperlinkElementUtils/username">username</a></code> property, it silently fails.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = <em>object</em>.password;
<em>object</em>.password = <em>string</em>;
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// Let's &lt;a id="myAnchor" href="https://anonymous:flabada@developer.mozilla.org/en-US/docs/HTMLHyperlinkElementUtils.username"&gt; be in the document
var anchor = document.getElementByID("myAnchor");
var result = anchor.password; // Returns:'flabada'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-hyperlink-password', 'HTMLHyperlinkElementUtils.password')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLHyperlinkElementUtils.password")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("HTMLHyperlinkElementUtils")}} mixin it belongs to.</li>
</ul>
